libao documentation | libao version 1.2.0 - 201401271

# ao_plugin_file_extension

declared in "ao/plugin.h";

Returns the normal file extension associated with this driver (like "wav" or "au"). This is an optional function. Live audio plugins do not need to implement this function.

    char *ao_plugin_file_extension(int driver_id);

### Return Values

> - pointer to string containing suggested file extension.
> - NULL if this driver has no file extension associated with it. Live audio plugins must always return NULL if they do implement this function.

copyright © 2001-2003 Stan Seibert, 2010-2011 Monty | xiph.org monty@xiph.org
libao documentation | libao version 1.2.0 - 201401271